import type { ExtractPropTypes, PropType } from 'vue';
import type { AvatarProps } from './Avatar';
declare type SkeletonAvatarProps = Omit<AvatarProps, 'active'>;
export declare const skeletonProps: {
    active: {
        type: BooleanConstructor;
        default: any;
    };
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    avatar: {
        type: PropType<boolean | SkeletonAvatarProps>;
        default: boolean | SkeletonAvatarProps;
    };
    title: {
        type: PropType<any>;
        default: any;
    };
    paragraph: {
        type: PropType<any>;
        default: any;
    };
    round: {
        type: BooleanConstructor;
        default: any;
    };
};
export declare type SkeletonProps = Partial<ExtractPropTypes<typeof skeletonProps>>;
declare const Skeleton: import("vue").DefineComponent<{
    active: {
        type: BooleanConstructor;
        default: any;
    };
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    avatar: {
        type: PropType<boolean | SkeletonAvatarProps>;
        default: boolean | SkeletonAvatarProps;
    };
    title: {
        type: PropType<any>;
        default: any;
    };
    paragraph: {
        type: PropType<any>;
        default: any;
    };
    round: {
        type: BooleanConstructor;
        default: any;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    active?: unknown;
    loading?: unknown;
    prefixCls?: unknown;
    avatar?: unknown;
    title?: unknown;
    paragraph?: unknown;
    round?: unknown;
} & {
    avatar: boolean | SkeletonAvatarProps;
} & {
    active?: boolean;
    round?: boolean;
    loading?: boolean;
    title?: any;
    prefixCls?: string;
    paragraph?: any;
}>, {
    active: boolean;
    round: boolean;
    loading: boolean;
    title: any;
    avatar: boolean | SkeletonAvatarProps;
    paragraph: any;
}>;
export default Skeleton;
