import type { ExtractPropTypes, Plugin, PropType } from 'vue';
import type { FieldNames } from '../vc-tree-select/interface';
declare type RawValue = string | number;
export interface LabeledValue {
    key?: string;
    value: RawValue;
    label: any;
}
export declare type SelectValue = RawValue | RawValue[] | LabeledValue | LabeledValue[];
export interface RefTreeSelectProps {
    focus: () => void;
    blur: () => void;
}
export declare const treeSelectProps: {
    suffixIcon: import("vue-types").VueTypeValidableDef<any>;
    size: {
        type: PropType<any>;
    };
    bordered: {
        type: BooleanConstructor;
        default: any;
    };
    replaceFields: {
        type: PropType<FieldNames>;
    };
};
export declare type TreeSelectProps = Partial<ExtractPropTypes<typeof treeSelectProps>>;
export declare const TreeSelectNode: any;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            bordered: boolean;
        }> & Omit<Readonly<{
            suffixIcon?: unknown;
            size?: unknown;
            bordered?: unknown;
            replaceFields?: unknown;
        } & {} & {
            size?: unknown;
            bordered?: boolean;
            suffixIcon?: any;
            replaceFields?: unknown;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "bordered">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            suffixIcon?: unknown;
            size?: unknown;
            bordered?: unknown;
            replaceFields?: unknown;
        } & {} & {
            size?: unknown;
            bordered?: boolean;
            suffixIcon?: any;
            replaceFields?: unknown;
        }>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            bordered: boolean;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        suffixIcon?: unknown;
        size?: unknown;
        bordered?: unknown;
        replaceFields?: unknown;
    } & {} & {
        size?: unknown;
        bordered?: boolean;
        suffixIcon?: any;
        replaceFields?: unknown;
    }> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    suffixIcon?: unknown;
    size?: unknown;
    bordered?: unknown;
    replaceFields?: unknown;
} & {} & {
    size?: unknown;
    bordered?: boolean;
    suffixIcon?: any;
    replaceFields?: unknown;
}>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    bordered: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly TreeNode: any;
    readonly SHOW_ALL: any;
    readonly SHOW_PARENT: any;
    readonly SHOW_CHILD: any;
};
export default _default;
