import type { PropType, ExtractPropTypes } from 'vue';
import { nextTick } from 'vue';
import type { EventHandler } from '../_util/EventInterface';
declare const inputNumberProps: {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    value: import("vue-types").VueTypeDef<string | number>;
    step: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    defaultValue: import("vue-types").VueTypeDef<string | number>;
    tabindex: import("vue-types").VueTypeDef<string | number>;
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    size: import("vue-types").VueTypeDef<"small" | "default" | "large">;
    formatter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    parser: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    decimalSeparator: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    precision: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    onPressEnter: {
        type: PropType<EventHandler>;
    };
    onChange: PropType<(num: number) => void>;
};
export declare type InputNumberProps = Partial<ExtractPropTypes<typeof inputNumberProps>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            max: number;
            id: string;
            name: string;
            step: string | number;
            prefixCls: string;
            placeholder: string;
            min: number;
            formatter: (...args: any[]) => any;
            parser: (...args: any[]) => any;
            decimalSeparator: string;
            precision: number;
        }> & Omit<Readonly<{
            prefixCls?: unknown;
            min?: unknown;
            max?: unknown;
            value?: unknown;
            step?: unknown;
            defaultValue?: unknown;
            tabindex?: unknown;
            disabled?: unknown;
            size?: unknown;
            formatter?: unknown;
            parser?: unknown;
            decimalSeparator?: unknown;
            placeholder?: unknown;
            name?: unknown;
            id?: unknown;
            precision?: unknown;
            autofocus?: unknown;
            onPressEnter?: unknown;
            onChange?: unknown;
        } & {
            max: number;
            id: string;
            name: string;
            step: string | number;
            prefixCls: string;
            placeholder: string;
            min: number;
            decimalSeparator: string;
            precision: number;
        } & {
            disabled?: boolean;
            value?: string | number;
            size?: "small" | "default" | "large";
            onChange?: (num: number) => void;
            autofocus?: boolean;
            tabindex?: string | number;
            defaultValue?: string | number;
            onPressEnter?: EventHandler;
            formatter?: (...args: any[]) => any;
            parser?: (...args: any[]) => any;
        }> & {
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            "onUpdate:value"?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "max" | "id" | "name" | "step" | "prefixCls" | "placeholder" | "min" | "formatter" | "parser" | "decimalSeparator" | "precision">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "input" | "blur" | "change" | "update:value", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            prefixCls?: unknown;
            min?: unknown;
            max?: unknown;
            value?: unknown;
            step?: unknown;
            defaultValue?: unknown;
            tabindex?: unknown;
            disabled?: unknown;
            size?: unknown;
            formatter?: unknown;
            parser?: unknown;
            decimalSeparator?: unknown;
            placeholder?: unknown;
            name?: unknown;
            id?: unknown;
            precision?: unknown;
            autofocus?: unknown;
            onPressEnter?: unknown;
            onChange?: unknown;
        } & {
            max: number;
            id: string;
            name: string;
            step: string | number;
            prefixCls: string;
            placeholder: string;
            min: number;
            decimalSeparator: string;
            precision: number;
        } & {
            disabled?: boolean;
            value?: string | number;
            size?: "small" | "default" | "large";
            onChange?: (num: number) => void;
            autofocus?: boolean;
            tabindex?: string | number;
            defaultValue?: string | number;
            onPressEnter?: EventHandler;
            formatter?: (...args: any[]) => any;
            parser?: (...args: any[]) => any;
        }> & {
            onBlur?: (...args: any[]) => any;
            onChange?: (...args: any[]) => any;
            onInput?: (...args: any[]) => any;
            "onUpdate:value"?: (...args: any[]) => any;
        }, {
            configProvider: any;
            inputNumberRef: any;
            focus: () => void;
            blur: () => void;
            formItemContext: import("../form/FormItemContext").FormItemContext;
            handleBlur: () => void;
            handleChange: (val: number) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("input" | "blur" | "change" | "update:value")[], string, {
            max: number;
            id: string;
            name: string;
            step: string | number;
            prefixCls: string;
            placeholder: string;
            min: number;
            formatter: (...args: any[]) => any;
            parser: (...args: any[]) => any;
            decimalSeparator: string;
            precision: number;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        prefixCls?: unknown;
        min?: unknown;
        max?: unknown;
        value?: unknown;
        step?: unknown;
        defaultValue?: unknown;
        tabindex?: unknown;
        disabled?: unknown;
        size?: unknown;
        formatter?: unknown;
        parser?: unknown;
        decimalSeparator?: unknown;
        placeholder?: unknown;
        name?: unknown;
        id?: unknown;
        precision?: unknown;
        autofocus?: unknown;
        onPressEnter?: unknown;
        onChange?: unknown;
    } & {
        max: number;
        id: string;
        name: string;
        step: string | number;
        prefixCls: string;
        placeholder: string;
        min: number;
        decimalSeparator: string;
        precision: number;
    } & {
        disabled?: boolean;
        value?: string | number;
        size?: "small" | "default" | "large";
        onChange?: (num: number) => void;
        autofocus?: boolean;
        tabindex?: string | number;
        defaultValue?: string | number;
        onPressEnter?: EventHandler;
        formatter?: (...args: any[]) => any;
        parser?: (...args: any[]) => any;
    }> & {
        onBlur?: (...args: any[]) => any;
        onChange?: (...args: any[]) => any;
        onInput?: (...args: any[]) => any;
        "onUpdate:value"?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<{
        configProvider: any;
        inputNumberRef: any;
        focus: () => void;
        blur: () => void;
        formItemContext: import("../form/FormItemContext").FormItemContext;
        handleBlur: () => void;
        handleChange: (val: number) => void;
    }> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    prefixCls?: unknown;
    min?: unknown;
    max?: unknown;
    value?: unknown;
    step?: unknown;
    defaultValue?: unknown;
    tabindex?: unknown;
    disabled?: unknown;
    size?: unknown;
    formatter?: unknown;
    parser?: unknown;
    decimalSeparator?: unknown;
    placeholder?: unknown;
    name?: unknown;
    id?: unknown;
    precision?: unknown;
    autofocus?: unknown;
    onPressEnter?: unknown;
    onChange?: unknown;
} & {
    max: number;
    id: string;
    name: string;
    step: string | number;
    prefixCls: string;
    placeholder: string;
    min: number;
    decimalSeparator: string;
    precision: number;
} & {
    disabled?: boolean;
    value?: string | number;
    size?: "small" | "default" | "large";
    onChange?: (num: number) => void;
    autofocus?: boolean;
    tabindex?: string | number;
    defaultValue?: string | number;
    onPressEnter?: EventHandler;
    formatter?: (...args: any[]) => any;
    parser?: (...args: any[]) => any;
}> & {
    onBlur?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onInput?: (...args: any[]) => any;
    "onUpdate:value"?: (...args: any[]) => any;
}, {
    configProvider: any;
    inputNumberRef: any;
    focus: () => void;
    blur: () => void;
    formItemContext: import("../form/FormItemContext").FormItemContext;
    handleBlur: () => void;
    handleChange: (val: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("input" | "blur" | "change" | "update:value")[], "input" | "blur" | "change" | "update:value", {
    max: number;
    id: string;
    name: string;
    step: string | number;
    prefixCls: string;
    placeholder: string;
    min: number;
    formatter: (...args: any[]) => any;
    parser: (...args: any[]) => any;
    decimalSeparator: string;
    precision: number;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export default _default;
