import type { NodeMouseEventHandler } from './contextTypes';
import type { CheckInfo } from './props';
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    focusable: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    children: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
    treeData: {
        type: import("vue").PropType<any[]>;
    };
    fieldNames: {
        type: import("vue").PropType<any>;
    };
    showLine: {
        type: BooleanConstructor;
        default: any;
    };
    showIcon: {
        type: BooleanConstructor;
        default: any;
    };
    icon: import("vue-types").VueTypeValidableDef<any>;
    selectable: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    multiple: {
        type: BooleanConstructor;
        default: any;
    };
    checkable: {
        type: BooleanConstructor;
        default: any;
    };
    checkStrictly: {
        type: BooleanConstructor;
        default: any;
    };
    draggable: {
        type: import("vue").PropType<boolean | ((node: any) => boolean)>;
    };
    defaultExpandParent: {
        type: BooleanConstructor;
        default: any;
    };
    autoExpandParent: {
        type: BooleanConstructor;
        default: any;
    };
    defaultExpandAll: {
        type: BooleanConstructor;
        default: any;
    };
    defaultExpandedKeys: {
        type: import("vue").PropType<any[]>;
    };
    expandedKeys: {
        type: import("vue").PropType<any[]>;
    };
    defaultCheckedKeys: {
        type: import("vue").PropType<any[]>;
    };
    checkedKeys: {
        type: import("vue").PropType<any[] | {
            checked: any[];
            halfChecked: any[];
        }>;
    };
    defaultSelectedKeys: {
        type: import("vue").PropType<any[]>;
    };
    selectedKeys: {
        type: import("vue").PropType<any[]>;
    };
    allowDrop: {
        type: import("vue").PropType<import("./props").AllowDrop>;
    };
    dropIndicatorRender: {
        type: import("vue").PropType<(props: {
            dropPosition: 0 | 1 | -1;
            dropLevelOffset: number;
            indent: number;
            prefixCls: string;
            direction: any;
        }) => any>;
    };
    onFocus: {
        type: import("vue").PropType<(e: FocusEvent) => void>;
    };
    onBlur: {
        type: import("vue").PropType<(e: FocusEvent) => void>;
    };
    onKeydown: {
        type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onContextmenu: {
        type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onClick: {
        type: import("vue").PropType<NodeMouseEventHandler>;
    };
    onDblclick: {
        type: import("vue").PropType<NodeMouseEventHandler>;
    };
    onScroll: {
        type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onExpand: {
        type: import("vue").PropType<(expandedKeys: any[], info: {
            node: any;
            expanded: boolean;
            nativeEvent: MouseEvent;
        }) => void>;
    };
    onCheck: {
        type: import("vue").PropType<(checked: any[] | {
            checked: any[];
            halfChecked: any[];
        }, info: CheckInfo) => void>;
    };
    onSelect: {
        type: import("vue").PropType<(selectedKeys: any[], info: {
            event: "select";
            selected: boolean;
            node: any;
            selectedNodes: any[];
            nativeEvent: MouseEvent;
        }) => void>;
    };
    onLoad: {
        type: import("vue").PropType<(loadedKeys: any[], info: {
            event: "load";
            node: any;
        }) => void>;
    };
    loadData: {
        type: import("vue").PropType<(treeNode: any) => Promise<void>>;
    };
    loadedKeys: {
        type: import("vue").PropType<any[]>;
    };
    onMouseenter: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeMouseEventParams) => void>;
    };
    onMouseleave: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeMouseEventParams) => void>;
    };
    onRightClick: {
        type: import("vue").PropType<(info: {
            event: MouseEvent;
            node: any;
        }) => void>;
    };
    onDragstart: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeDragEventParams) => void>;
    };
    onDragenter: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeDragEventParams & {
            expandedKeys: any[];
        }) => void>;
    };
    onDragover: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeDragEventParams) => void>;
    };
    onDragleave: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeDragEventParams) => void>;
    };
    onDragend: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeDragEventParams) => void>;
    };
    onDrop: {
        type: import("vue").PropType<(info: import("./contextTypes").NodeDragEventParams & {
            dragNode: any;
            dragNodesKeys: any[];
            dropPosition: number;
            dropToGap: boolean;
        }) => void>;
    };
    onActiveChange: {
        type: import("vue").PropType<(key: any) => void>;
    };
    filterTreeNode: {
        type: import("vue").PropType<(treeNode: any) => boolean>;
    };
    motion: import("vue-types").VueTypeValidableDef<any>;
    switcherIcon: import("vue-types").VueTypeValidableDef<any>;
    height: NumberConstructor;
    itemHeight: NumberConstructor;
    virtual: {
        type: BooleanConstructor;
        default: any;
    };
    direction: {
        type: import("vue").PropType<any>;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    focusable?: unknown;
    tabindex?: unknown;
    children?: unknown;
    treeData?: unknown;
    fieldNames?: unknown;
    showLine?: unknown;
    showIcon?: unknown;
    icon?: unknown;
    selectable?: unknown;
    disabled?: unknown;
    multiple?: unknown;
    checkable?: unknown;
    checkStrictly?: unknown;
    draggable?: unknown;
    defaultExpandParent?: unknown;
    autoExpandParent?: unknown;
    defaultExpandAll?: unknown;
    defaultExpandedKeys?: unknown;
    expandedKeys?: unknown;
    defaultCheckedKeys?: unknown;
    checkedKeys?: unknown;
    defaultSelectedKeys?: unknown;
    selectedKeys?: unknown;
    allowDrop?: unknown;
    dropIndicatorRender?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onKeydown?: unknown;
    onContextmenu?: unknown;
    onClick?: unknown;
    onDblclick?: unknown;
    onScroll?: unknown;
    onExpand?: unknown;
    onCheck?: unknown;
    onSelect?: unknown;
    onLoad?: unknown;
    loadData?: unknown;
    loadedKeys?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onRightClick?: unknown;
    onDragstart?: unknown;
    onDragenter?: unknown;
    onDragover?: unknown;
    onDragleave?: unknown;
    onDragend?: unknown;
    onDrop?: unknown;
    onActiveChange?: unknown;
    filterTreeNode?: unknown;
    motion?: unknown;
    switcherIcon?: unknown;
    height?: unknown;
    itemHeight?: unknown;
    virtual?: unknown;
    direction?: unknown;
} & {} & {
    disabled?: boolean;
    children?: import("../_util/type").VueNode;
    icon?: any;
    multiple?: boolean;
    onDragend?: (info: import("./contextTypes").NodeDragEventParams) => void;
    onDragenter?: (info: import("./contextTypes").NodeDragEventParams & {
        expandedKeys: any[];
    }) => void;
    onDragleave?: (info: import("./contextTypes").NodeDragEventParams) => void;
    onDragover?: (info: import("./contextTypes").NodeDragEventParams) => void;
    onDragstart?: (info: import("./contextTypes").NodeDragEventParams) => void;
    onDrop?: (info: import("./contextTypes").NodeDragEventParams & {
        dragNode: any;
        dragNodesKeys: any[];
        dropPosition: number;
        dropToGap: boolean;
    }) => void;
    onFocus?: (e: FocusEvent) => void;
    onBlur?: (e: FocusEvent) => void;
    onLoad?: (loadedKeys: any[], info: {
        event: "load";
        node: any;
    }) => void;
    onKeydown?: import("../_util/EventInterface").EventHandler;
    onClick?: NodeMouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").EventHandler;
    onDblclick?: NodeMouseEventHandler;
    onMouseenter?: (info: import("./contextTypes").NodeMouseEventParams) => void;
    onMouseleave?: (info: import("./contextTypes").NodeMouseEventParams) => void;
    onSelect?: (selectedKeys: any[], info: {
        event: "select";
        selected: boolean;
        node: any;
        selectedNodes: any[];
        nativeEvent: MouseEvent;
    }) => void;
    onScroll?: import("../_util/EventInterface").EventHandler;
    prefixCls?: string;
    direction?: unknown;
    showIcon?: boolean;
    height?: number;
    draggable?: boolean | ((node: any) => boolean);
    tabindex?: number;
    loadData?: (treeNode: any) => Promise<void>;
    fieldNames?: unknown;
    virtual?: boolean;
    motion?: any;
    selectable?: boolean;
    onExpand?: (expandedKeys: any[], info: {
        node: any;
        expanded: boolean;
        nativeEvent: MouseEvent;
    }) => void;
    selectedKeys?: any[];
    checkedKeys?: any[] | {
        checked: any[];
        halfChecked: any[];
    };
    checkable?: boolean;
    switcherIcon?: any;
    focusable?: boolean;
    expandedKeys?: any[];
    loadedKeys?: any[];
    itemHeight?: number;
    onActiveChange?: (key: any) => void;
    treeData?: any[];
    showLine?: boolean;
    checkStrictly?: boolean;
    defaultExpandParent?: boolean;
    autoExpandParent?: boolean;
    defaultExpandAll?: boolean;
    defaultExpandedKeys?: any[];
    defaultCheckedKeys?: any[];
    defaultSelectedKeys?: any[];
    allowDrop?: import("./props").AllowDrop;
    dropIndicatorRender?: (props: {
        dropPosition: 0 | 1 | -1;
        dropLevelOffset: number;
        indent: number;
        prefixCls: string;
        direction: any;
    }) => any;
    onCheck?: (checked: any[] | {
        checked: any[];
        halfChecked: any[];
    }, info: CheckInfo) => void;
    onRightClick?: (info: {
        event: MouseEvent;
        node: any;
    }) => void;
    filterTreeNode?: (treeNode: any) => boolean;
}>, {
    disabled: boolean;
    multiple: boolean;
    showIcon: boolean;
    virtual: boolean;
    selectable: boolean;
    checkable: boolean;
    focusable: boolean;
    showLine: boolean;
    checkStrictly: boolean;
    defaultExpandParent: boolean;
    autoExpandParent: boolean;
    defaultExpandAll: boolean;
}>;
export default _default;
